#
# spec file for package ubuntu-themes
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 16.10+16.10.20161007
Name:           ubuntu-themes
Version:        16.10~bzr20161007
Release:        2.5
Summary:        Eyecandy from Ubuntu
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://launchpad.net/ubuntu-themes
Source:         https://launchpad.net/ubuntu/+archive/primary/+files/%{name}_%{_version}.orig.tar.gz
# PATCH-FIX-UPSTREAM themes-mate-panel.patch sor.alexei@meowr.ru -- Add proper theming for mate-panel.
Patch0:         themes-mate-panel.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-base
BuildRequires:  python-scour
BuildRequires:  python-xml
BuildArch:      noarch

%description
Ubuntu GNU/Linux basic artwork.

%package -n metatheme-ambiance-common
Summary:        Ambiance Gtk Theme -- Common Files
Group:          System/GUI/Other
Recommends:     humanity-icon-theme
Recommends:     ubuntu-mono-icon-theme
Suggests:       gtk2-metatheme-ambiance
Suggests:       gtk3-metatheme-ambiance

%description -n metatheme-ambiance-common
Includes an Ambiance light-on-dark theme.

Introduced as the default theme in Ubuntu 10.04 LTS.

%package -n metatheme-radiance-common
Summary:        Radiance Gtk Theme -- Common Files
Group:          System/GUI/Other
Recommends:     humanity-icon-theme
Recommends:     ubuntu-mono-icon-theme
Suggests:       gtk2-metatheme-radiance
Suggests:       gtk3-metatheme-radiance

%description -n metatheme-radiance-common
Includes an Radiance dark-on-light theme.

Introduced as one of the defaults in Ubuntu 10.04 LTS.

%package -n gtk2-metatheme-ambiance
Summary:        Ambiance Gtk Theme -- GTK+ 2 Support
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine >= 0.90.3
Requires:       metatheme-ambiance-common = %{version}
Supplements:    packageand(metatheme-ambiance-common:gtk2)

%description -n gtk2-metatheme-ambiance
Includes an Ambiance light-on-dark theme.

Introduced as the default theme in Ubuntu 10.04 LTS.

%package -n gtk2-metatheme-radiance
Summary:        Radiance Gtk Theme -- GTK+ 2 Support
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine >= 0.90.3
Requires:       metatheme-radiance-common = %{version}
Supplements:    packageand(metatheme-radiance-common:gtk2)

%description -n gtk2-metatheme-radiance
Includes an Radiance dark-on-light theme.

Introduced as one of the defaults in Ubuntu 10.04 LTS.

%package -n gtk3-metatheme-ambiance
Summary:        Ambiance Gtk Theme -- GTK+ 3 Support
Group:          System/GUI/Other
Requires:       metatheme-ambiance-common = %{version}
Supplements:    packageand(metatheme-ambiance-common:gtk3)

%description -n gtk3-metatheme-ambiance
Includes an Ambiance light-on-dark theme.

Introduced as the default theme in Ubuntu 10.04 LTS.

%package -n gtk3-metatheme-radiance
Summary:        Radiance Gtk Theme -- GTK+ 3 Support
Group:          System/GUI/Other
Requires:       metatheme-radiance-common = %{version}
Supplements:    packageand(metatheme-radiance-common:gtk3)

%description -n gtk3-metatheme-radiance
Includes an Radiance dark-on-light theme.

Introduced as one of the defaults in Ubuntu 10.04 LTS.

%package -n ubuntu-mono-icon-theme
Summary:        Ubuntu Mono Icon theme
Group:          System/X11/Icons
Requires:       adwaita-icon-theme
Requires:       hicolor-icon-theme
Requires:       humanity-icon-theme
Provides:       monochrome-icon-theme = %{version}
Provides:       ubuntu-mono = %{version}

%description -n ubuntu-mono-icon-theme
Dark and Light panel icons to make desktop beautiful.

%prep
%setup -q -c
%patch0 -p1
cp -f Ambiance/gtk-2.0/apps/mate-panel.rc Radiance/gtk-2.0/apps/mate-panel.rc

%build
make %{?_smp_mflags} V=1

%install
mkdir -p %{buildroot}%{_datadir}/themes/ %{buildroot}%{_datadir}/icons/
for theme in Ambiance Radiance; do
    cp -a $theme %{buildroot}%{_datadir}/themes/$theme
done
for icons in LoginIcons ubuntu-mono-dark ubuntu-mono-light; do
    cp -a $icons %{buildroot}%{_datadir}/icons/$icons
    # %%icon_theme_cache_create_ghost fails to work here.
    touch %{buildroot}%{_datadir}/icons/$icons/icon-theme.cache
done
find %{buildroot} -type f -name "*.orig" -delete -print
%fdupes %{buildroot}

%post -n ubuntu-mono-icon-theme
%icon_theme_cache_post LoginIcons
%icon_theme_cache_post ubuntu-mono-dark
%icon_theme_cache_post ubuntu-mono-light

# No need for %%icon_theme_cache_postun in %%postun since themes won't exist anymore.

%files -n metatheme-ambiance-common
%defattr(-,root,root)
%doc COPYING
%{_datadir}/themes/Ambiance/
%exclude %{_datadir}/themes/Ambiance/gtk-?.*/

%files -n metatheme-radiance-common
%defattr(-,root,root)
%doc COPYING
%{_datadir}/themes/Radiance/
%exclude %{_datadir}/themes/Radiance/gtk-?.*/

%files -n gtk2-metatheme-ambiance
%defattr(-,root,root)
%{_datadir}/themes/Ambiance/gtk-2.*/

%files -n gtk2-metatheme-radiance
%defattr(-,root,root)
%{_datadir}/themes/Radiance/gtk-2.*/

%files -n gtk3-metatheme-ambiance
%defattr(-,root,root)
%{_datadir}/themes/Ambiance/gtk-3.*/

%files -n gtk3-metatheme-radiance
%defattr(-,root,root)
%{_datadir}/themes/Radiance/gtk-3.*/

%files -n ubuntu-mono-icon-theme
%defattr(-,root,root)
%doc COPYING
%ghost %{_datadir}/icons/*/icon-theme.cache
%{_datadir}/icons/*/

%changelog
* Sun Oct 23 2016 sor.alexei@meowr.ru
- Update to version 16.10~bzr20161007 (changes since
  16.10~bzr20160804):
  * [Suru icons] Add an ownCloud icon for online accounts
    (lp#1571587).
  * Update styling for gnome-panel 3.20+.
  * Radiance: Fix colours and clock applet shadow for gnome-panel.
  * gedit: Don't set a border on the 'x of y' thing in the search
    results.
  * Set a proper minimum width on levelbar troughs.
  * gnome-panel: Don't apply the gnome-menubar rules to unity
    decorations and panel too (lp#1617371).
  * Remove box-shadow from .background:backdrop.
  * Fix jumping menu items (lp#1617415).
  * Add styling for gnome-flashback: OSD windows, input source
    switching, candidate popups and monitor labels.
  * Fix gtk3 toolbar theming for LibreOffice (lp#1580537).
  * Fix combobox menus having a black line down the left hand side.
  * Fix some syntax errors, and use a maintainer script to move the
    Radiance/gtk-3.0/assets directory to a symlink.
  * Improvements for HiDPI. Includes new icons and moves a lot of
    assets to use gtk-scaled to suit both normal and hidpi
    resolutions (lp#1549490)
  * gnome-panel.css: Fix weather applet text color (lp#1629983).
  * Fix borders of LibreOffice toolbars, so that they don't
    overlap the window decorations (lp#1624571).
* Wed Aug 10 2016 sor.alexei@meowr.ru
- Update to version 16.10~bzr20160804 (changes since
  14.04~bzr20160613):
  * [Suru icons] Add view-rotate icon for Media Services.
  * Add new CSS to style progress bars based on colours rather
    than images. This fixes the "empty progress bars" bug
    (lp#1052936).
  * Add specific border widths to left and right of GtkSwitch
    buttons to hide the overflowing background of the button
    (lp#1594816).
  * [Suru icons] Add the keyboard indicators in a dedicated
    directory.
  * [Suru icons] Add mono arrow icons for the toolkit widgets: up,
    down, left, right and scrollbar stepper.
  * Simplify Metacity theme by replacing solid colour image with
    filled rectangle to improve HiDPI support (lp#1603218).
  * Ambiance, Radiance: Port to work with GTK+ 3.20 (lp#1593048).
* Fri Jun 17 2016 sor.alexei@meowr.ru
- Update to version 14.04~bzr20160613:
  * [Suru icons] Add location indicator icons for inactive, idle
    and active states (lp#1407921).
* Fri May 27 2016 sor.alexei@meowr.ru
- Update to version 14.04~bzr20160426:
  * [Suru icons] Update the calendar mono icon to a more generic
    design (removed the digits). Add or updated another action and
    indicator mono icons (lp#1362962).
* Tue Apr 19 2016 sor.alexei@meowr.ru
- Update to version 14.04~bzr20160415:
  * Add 1px padding to calendar widget elements; looks better.
  * Suru icon theme: Normalisation of arrows used in mono icons,
    plus minor additions or updates to existing designs (lp#1518934).
  * Add these fixes for Calendar: lp#1551744, lp#1558659.
* Mon Apr 11 2016 sor.alexei@meowr.ru
- Update to version 14.04~bzr20160324.1:
  * Ambiance, Radiance: use inverted gradient in headerbar when in
    toolbar-mode (lp#1515810).
  * Reduce the padding on flat entries, that's needed with Gtk 3.18
    otherwise the entry is displayed over new rows in listview when
    editing, that's also what the Gtk upstream themes are doing.
  * Show the cursor index better in Totem videos (lp#1545026).
  * Override box shadow and border settings for linked dialog
    buttons so they don't looked mashed together. Extra border
    radius is required to stop the button background bleeding
    through the border (lp#1513856).
- Remove themes-csd-titlebar-fix.patch.
* Fri Mar  4 2016 sor.alexei@meowr.ru
- Update to 14.04~bzr20160209:
  * gnome-terminal: Fix scrollbar background (lp#1539055).
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to 14.04~bzr20160120:
  * Scrollbars: Fix through drawing on webkit.
* Sat Dec 19 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20151216 (changes since 14.04~bzr20151127):
  * Suru icon theme update: Inclusion of SDK icons Addition of a
    whole set of mono device icons Updated app icons designs
    (lp#1518934).
  * Basic "app-notification" theming to avoid weirdness in Nautilus.
  * Update the nautilus.css with the current upstream one, it could
    probably be tweaked a bit and has references to color used
    upstream but those don't look out of place with our theme and
    is better than what we have now.
* Sat Nov 28 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20151127:
  * Adds padding to sidebar icons (lp#1515557).
  * Revised theme support for new version of gedit.
* Mon Oct  5 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20151001:
  * osd: style free-floating osd buttons (lp#1466890, lp#1500844).
  * Add a new VPN indicator and a bunch of new mono icons.
* Sun Sep 13 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20150910 (changes since 14.04~bzr20150813):
  * Style software-center's action bar again.
  * Ambiance, Radiance: make overlay scrollbars to look more like
    the Ubuntu designed ones (lp#1450747, lp#1493607).
- Remove themes-scrollbar-fixes.patch.
* Mon Aug 17 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20150813:
  * This update include a few bug fixes that we chased during our
    design team bug sprint in August 2015: essentially a bunch of
    new mono icons and updated existing designs (lp#1367137,
    lp#1478025, lp#1294251, lp#1424819, lp#1431876).
* Wed Jul 22 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20150721 (changes since 14.04~bzr20150707):
  * Clean up nautilus theming. Mostly, this consists of moving from
    nautilus-specific widgets and classes to more generic gtk ones
    (lp#1463848).
  * Theme GTK+ overlay-scrollbars to be more ubuntu-ish.
* Sat Jul 11 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20150707 (changes since 14.04~bzr20150603):
  * Updated the app icons to their new version (flatter and
    refreshed graphic style) and added a new icon for Dekko email
    client. Changed the colour of the 'new message' indicator to
    green (lp#1457424, lp#1450894)
  * Updated all mono icons to the new thinner graphic style,
    including actions, indicators and symbolic app and device icons.
* Thu Jun  4 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20150603 (changes since 14.04~bzr20150410):
  * Set :link colour.
  * Style under- and overshoot.
  * Cherrypick the new messages-new.svg suru icon from
    lp:~tiheum/ubuntu-themes/suru-app-icons-v2.
* Sun Apr 12 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20150410:
  * Draw shadows for menus.
  * Do not use symbolic colours for style.
* Sun Apr  5 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20150331 (changes since 14.04~bzr20150319):
  * Add some style info for lightdm-unity-greeter buttons
    (lp#1423542, lp#1423542).
  * Radiance: fix radio mark colouring in menus.
  * Set the background on GtkStack widgets (lp#1285783).
* Fri Mar 20 2015 sor.alexei@meowr.ru
- Update to 14.04~bzr20150319:
  * Enhance header bar styling.
  * Style overlay widgets needed by Totem.
* Thu Feb 12 2015 sor.alexei@meowr.ru
- Initial package.
